# Syslog

## 概要

Keeperでは、標準のTCP Syslogコレクタへのイベントストリームがサポートされています。外部ログはリアルタイムで発生し、新しいイベントはほぼ即座に表示されます。以下はセットアップの手順となります。

![Syslogプッシュ](https://3468650114-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FeJwa6ByNJ2qindnPknCW%2Fuploads%2FApH7XBDMGxBqE3SFBvCC%2FJP_Syslog%20Push.png?alt=media\&token=8fe02dec-1401-4e0f-96d9-251f3befea0d)

KeeperではTCPを介した標準の「Syslog」プッシュ機能がサポートされています。

**ポート**\
TCP Ports 514および6514 (TLS)

**エクスポートされるフィールド**\
"audit\_event"、"username"、"client\_version"、"remote\_address"、"channel"、"result\_code"、"email"、"to\_username"、"client\_version\_new"、"username\_new"、"file\_format"、"record\_uid"、"folder\_uid"、"folder\_type"、"shared\_folder\_uid"、"attachment\_id"、"team\_uid"、"role\_id"

**ペイロードの例**

{% code overflow="wrap" %}

```
<165>1 2022-10-13T21:05:51.996Z keepersecurity.com keeper - - - {"record_uid":"XXX","audit_event":"fast_fill","remote_address":"12.34.56.78","category":"usage","client_version":"Browser Extensions.16.4.7","username":"user@company.com","enterprise_id":123456}
```

{% endcode %}

{% hint style="info" %}
エンドポイントで証明書のサブジェクト名と一致する有効な署名付きのSSL証明書が使用されていることを確かにしてください。証明書には、CAからの完全な証明書チェーンも含まれていなければなりません。Keeperのシステムは、自己署名された証明書へは接続しません。

また、syslogサーバーでKeeperサーバーからのトラフィックが許可されていることも確かにしてください。詳しくは[ファイアウォールの設定ページ](/jp/enterprise-guide/event-reporting/firewall.md)をご参照ください。
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/jp/enterprise-guide/event-reporting/syslog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
